// lib/dynamic-form-input-mask.component.mjs
import { Component } from "@angular/core";
import { ReactiveFormsModule } from "@angular/forms";
import { BsDynamicFormInputWrapperComponent } from "@dynamic-forms/bootstrap";
import { DynamicFormInputMaskBase, DynamicFormInputMaskDirective } from "@dynamic-forms/core/input-mask";
import * as i0 from "@angular/core";
import * as i1 from "@dynamic-forms/core";
import * as i2 from "@angular/forms";
var BsDynamicFormInputMaskComponent = class _BsDynamicFormInputMaskComponent extends DynamicFormInputMaskBase {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i0, type: _BsDynamicFormInputMaskComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormInputMaskComponent, isStandalone: true, selector: "bs-dynamic-form-input-mask", usesInheritance: true, ngImport: i0, template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    [id]="inputId"
    [dynamicFormInputMask]="inputMask"
    [placeholder]="input.placeholder || ''"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  />
</ng-template>
`, dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: DynamicFormInputMaskDirective, selector: "[dynamicFormInputMask]", inputs: ["dynamicFormInputMask"], exportAs: ["dynamicFormInputMask"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] });
  }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i0, type: BsDynamicFormInputMaskComponent, decorators: [{
  type: Component,
  args: [{ standalone: true, selector: "bs-dynamic-form-input-mask", imports: [ReactiveFormsModule, DynamicFormInputMaskDirective, BsDynamicFormInputWrapperComponent], template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    [id]="inputId"
    [dynamicFormInputMask]="inputMask"
    [placeholder]="input.placeholder || ''"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  />
</ng-template>
` }]
}], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

// lib/dynamic-form-input-mask.module.mjs
import { NgModule } from "@angular/core";
import { bsDynamicFormLibrary } from "@dynamic-forms/bootstrap";
import { importDynamicFormsProviders, withDynamicFormInputs } from "@dynamic-forms/core";
import { DynamicFormInputMaskControl } from "@dynamic-forms/core/input-mask";
import * as i02 from "@angular/core";
var bsDynamicFormInputMaskType = {
  type: "input-mask",
  component: BsDynamicFormInputMaskComponent,
  control: DynamicFormInputMaskControl,
  libraryName: bsDynamicFormLibrary.name
};
function withBsDynamicFormInputMask() {
  return withDynamicFormInputs(bsDynamicFormInputMaskType);
}
var BsDynamicFormInputMaskModule = class _BsDynamicFormInputMaskModule {
  static {
    this.ɵfac = i02.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i02, type: _BsDynamicFormInputMaskModule, deps: [], target: i02.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i02.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i02, type: _BsDynamicFormInputMaskModule });
  }
  static {
    this.ɵinj = i02.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i02, type: _BsDynamicFormInputMaskModule, providers: importDynamicFormsProviders(withBsDynamicFormInputMask()) });
  }
};
i02.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i02, type: BsDynamicFormInputMaskModule, decorators: [{
  type: NgModule,
  args: [{ providers: importDynamicFormsProviders(withBsDynamicFormInputMask()) }]
}] });
export {
  BsDynamicFormInputMaskComponent,
  BsDynamicFormInputMaskModule,
  bsDynamicFormInputMaskType,
  withBsDynamicFormInputMask
};
//# sourceMappingURL=dynamic-forms-bootstrap-input-mask.mjs.map
