// lib/dynamic-form-library/dynamic-form-library.mjs
var bsDynamicFormLibrary = {
  name: "bootstrap",
  references: ["core"]
};

// lib/dynamic-form-dialog/dynamic-form-dialog.component.mjs
import { AsyncPipe, NgClass, NgIf, NgStyle } from "@angular/common";
import { Component, Input } from "@angular/core";
import { DynamicFormElementsComponent } from "@dynamic-forms/core";
import * as i0 from "@angular/core";
var BsDynamicFormDialogComponent = class _BsDynamicFormDialogComponent {
  static {
    this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i0, type: _BsDynamicFormDialogComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormDialogComponent, isStandalone: true, selector: "bs-dynamic-form-dialog", inputs: { isOpen$: "isOpen$", children: "children", headerActions: "headerActions", footerActions: "footerActions", width: "width", height: "height", minWidth: "minWidth", minHeight: "minHeight", maxWidth: "maxWidth", maxHeight: "maxHeight", maximized: "maximized", title: "title", titleHtml: "titleHtml", classNameForm: "classNameForm", classNameModal: "classNameModal", classNameChildren: "classNameChildren", classNameHeader: "classNameHeader", classNameFooter: "classNameFooter", classNameTitle: "classNameTitle" }, ngImport: i0, template: `<!-- eslint-disable @angular-eslint/template/no-inline-styles -->
<div *ngIf="isOpen$ | async" class="dynamic-form-modal modal" [ngClass]="classNameForm" [class.maximized]="maximized">
  <div
    class="modal-dialog modal-dialog-centered modal-dialog-scrollable"
    [ngClass]="classNameModal"
    [class.maximized]="maximized"
    [ngStyle]="{
      width: maximized ? maxWidth || '100%' : width,
      'min-width': maximized ? maxWidth || '100%' : minWidth,
      'max-width': maximized ? maxWidth || '100%' : maxWidth,
      'min-height': maximized ? '100%' : undefined,
      'max-height': maximized ? '100%' : undefined,
      margin: maximized ? '0px auto' : undefined
    }"
  >
    <div
      class="modal-content"
      [ngStyle]="{
        height: maximized ? maxHeight || '100%' : height,
        'min-height': maximized ? maxHeight || '100%' : minHeight,
        'max-height': maxHeight || '100%'
      }"
    >
      <div *ngIf="title || titleHtml || headerActions?.length" class="modal-header" [ngClass]="classNameHeader">
        <div *ngIf="titleHtml; else titlePlain" class="modal-title" [ngClass]="classNameTitle" [innerHTML]="titleHtml"></div>
        <ng-template #titlePlain>
          <div class="modal-title" [ngClass]="classNameTitle">{{ title }}</div>
        </ng-template>
        <div *ngIf="headerActions?.length" class="modal-toolbar">
          <dynamic-form-elements [elements]="headerActions" />
        </div>
      </div>
      <div class="modal-body" [ngClass]="classNameChildren">
        <dynamic-form-elements [elements]="children" />
      </div>
      <div *ngIf="footerActions?.length" class="modal-footer" [ngClass]="classNameFooter">
        <dynamic-form-elements [elements]="footerActions" />
      </div>
    </div>
  </div>
</div>
`, dependencies: [{ kind: "pipe", type: AsyncPipe, name: "async" }, { kind: "directive", type: NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: DynamicFormElementsComponent, selector: "dynamic-form-elements", inputs: ["elements"] }] });
  }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i0, type: BsDynamicFormDialogComponent, decorators: [{
  type: Component,
  args: [{ standalone: true, selector: "bs-dynamic-form-dialog", imports: [AsyncPipe, NgClass, NgIf, NgStyle, DynamicFormElementsComponent], template: `<!-- eslint-disable @angular-eslint/template/no-inline-styles -->
<div *ngIf="isOpen$ | async" class="dynamic-form-modal modal" [ngClass]="classNameForm" [class.maximized]="maximized">
  <div
    class="modal-dialog modal-dialog-centered modal-dialog-scrollable"
    [ngClass]="classNameModal"
    [class.maximized]="maximized"
    [ngStyle]="{
      width: maximized ? maxWidth || '100%' : width,
      'min-width': maximized ? maxWidth || '100%' : minWidth,
      'max-width': maximized ? maxWidth || '100%' : maxWidth,
      'min-height': maximized ? '100%' : undefined,
      'max-height': maximized ? '100%' : undefined,
      margin: maximized ? '0px auto' : undefined
    }"
  >
    <div
      class="modal-content"
      [ngStyle]="{
        height: maximized ? maxHeight || '100%' : height,
        'min-height': maximized ? maxHeight || '100%' : minHeight,
        'max-height': maxHeight || '100%'
      }"
    >
      <div *ngIf="title || titleHtml || headerActions?.length" class="modal-header" [ngClass]="classNameHeader">
        <div *ngIf="titleHtml; else titlePlain" class="modal-title" [ngClass]="classNameTitle" [innerHTML]="titleHtml"></div>
        <ng-template #titlePlain>
          <div class="modal-title" [ngClass]="classNameTitle">{{ title }}</div>
        </ng-template>
        <div *ngIf="headerActions?.length" class="modal-toolbar">
          <dynamic-form-elements [elements]="headerActions" />
        </div>
      </div>
      <div class="modal-body" [ngClass]="classNameChildren">
        <dynamic-form-elements [elements]="children" />
      </div>
      <div *ngIf="footerActions?.length" class="modal-footer" [ngClass]="classNameFooter">
        <dynamic-form-elements [elements]="footerActions" />
      </div>
    </div>
  </div>
</div>
` }]
}], propDecorators: { isOpen$: [{
  type: Input
}], children: [{
  type: Input
}], headerActions: [{
  type: Input
}], footerActions: [{
  type: Input
}], width: [{
  type: Input
}], height: [{
  type: Input
}], minWidth: [{
  type: Input
}], minHeight: [{
  type: Input
}], maxWidth: [{
  type: Input
}], maxHeight: [{
  type: Input
}], maximized: [{
  type: Input
}], title: [{
  type: Input
}], titleHtml: [{
  type: Input
}], classNameForm: [{
  type: Input
}], classNameModal: [{
  type: Input
}], classNameChildren: [{
  type: Input
}], classNameHeader: [{
  type: Input
}], classNameFooter: [{
  type: Input
}], classNameTitle: [{
  type: Input
}] } });

// lib/dynamic-form-action/dynamic-form-button/dynamic-form-button.component.mjs
import { NgClass as NgClass2, NgIf as NgIf2 } from "@angular/common";
import { Component as Component2 } from "@angular/core";
import { DynamicFormButtonBase, DynamicFormColorPipe } from "@dynamic-forms/core";
import * as i02 from "@angular/core";
import * as i1 from "@dynamic-forms/core";
var BsDynamicFormButtonComponent = class _BsDynamicFormButtonComponent extends DynamicFormButtonBase {
  constructor(actionService) {
    super(actionService);
    this.actionService = actionService;
  }
  static {
    this.ɵfac = i02.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i02, type: _BsDynamicFormButtonComponent, deps: [{ token: i1.DynamicFormActionService }], target: i02.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i02.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormButtonComponent, isStandalone: true, selector: "bs-dynamic-form-button", usesInheritance: true, ngImport: i02, template: `<a
  *ngIf="template.url; else button"
  [class]="'dynamic-form-button btn btn-' + (template.color | dynamicFormColor: 'primary')"
  [class.disabled]="template.disabled"
  [ngClass]="template.className"
  [hidden]="template.hidden"
  [href]="template.url"
  [target]="template.urlTarget || '_blank'"
  >{{ template.label }}</a
>

<ng-template #button>
  <button
    [id]="id"
    [class]="'dynamic-form-button btn btn-' + (template.color | dynamicFormColor: 'primary')"
    [ngClass]="template.className"
    [type]="template.type || 'button'"
    [disabled]="template.disabled"
    [hidden]="template.hidden"
    (click)="onClick($event)"
    >{{ template.label }}</button
  >
</ng-template>

<bs-dynamic-form-dialog
  *ngIf="dialog"
  [isOpen$]="dialogOpen$"
  [children]="dialogChildren"
  [headerActions]="dialogHeaderActions"
  [footerActions]="dialogFooterActions"
  [width]="template.dialogWidth"
  [minWidth]="template.dialogMinWidth"
  [maxWidth]="template.dialogMaxWidth"
  [title]="template.dialogTitle"
  [titleHtml]="template.dialogTitleHtml"
  [classNameForm]="element.root.template.className"
  [classNameModal]="template.className"
  [classNameTitle]="template.classNameDialogTitle"
  [classNameChildren]="dialogTemplate?.classNameChildren"
  [classNameHeader]="dialogTemplate?.classNameHeader"
  [classNameFooter]="dialogTemplate?.classNameFooter"
/>
`, dependencies: [{ kind: "directive", type: NgClass2, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgIf2, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: DynamicFormColorPipe, name: "dynamicFormColor" }, { kind: "component", type: BsDynamicFormDialogComponent, selector: "bs-dynamic-form-dialog", inputs: ["isOpen$", "children", "headerActions", "footerActions", "width", "height", "minWidth", "minHeight", "maxWidth", "maxHeight", "maximized", "title", "titleHtml", "classNameForm", "classNameModal", "classNameChildren", "classNameHeader", "classNameFooter", "classNameTitle"] }] });
  }
};
i02.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i02, type: BsDynamicFormButtonComponent, decorators: [{
  type: Component2,
  args: [{ standalone: true, selector: "bs-dynamic-form-button", imports: [NgClass2, NgIf2, DynamicFormColorPipe, BsDynamicFormDialogComponent], template: `<a
  *ngIf="template.url; else button"
  [class]="'dynamic-form-button btn btn-' + (template.color | dynamicFormColor: 'primary')"
  [class.disabled]="template.disabled"
  [ngClass]="template.className"
  [hidden]="template.hidden"
  [href]="template.url"
  [target]="template.urlTarget || '_blank'"
  >{{ template.label }}</a
>

<ng-template #button>
  <button
    [id]="id"
    [class]="'dynamic-form-button btn btn-' + (template.color | dynamicFormColor: 'primary')"
    [ngClass]="template.className"
    [type]="template.type || 'button'"
    [disabled]="template.disabled"
    [hidden]="template.hidden"
    (click)="onClick($event)"
    >{{ template.label }}</button
  >
</ng-template>

<bs-dynamic-form-dialog
  *ngIf="dialog"
  [isOpen$]="dialogOpen$"
  [children]="dialogChildren"
  [headerActions]="dialogHeaderActions"
  [footerActions]="dialogFooterActions"
  [width]="template.dialogWidth"
  [minWidth]="template.dialogMinWidth"
  [maxWidth]="template.dialogMaxWidth"
  [title]="template.dialogTitle"
  [titleHtml]="template.dialogTitleHtml"
  [classNameForm]="element.root.template.className"
  [classNameModal]="template.className"
  [classNameTitle]="template.classNameDialogTitle"
  [classNameChildren]="dialogTemplate?.classNameChildren"
  [classNameHeader]="dialogTemplate?.classNameHeader"
  [classNameFooter]="dialogTemplate?.classNameFooter"
/>
` }]
}], ctorParameters: () => [{ type: i1.DynamicFormActionService }] });

// lib/dynamic-form-action/dynamic-form-button/dynamic-form-button-type.mjs
var bsDynamicFormButtonType = {
  type: "button",
  component: BsDynamicFormButtonComponent,
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-action/dynamic-form-icon/dynamic-form-icon.component.mjs
import { NgClass as NgClass3, NgIf as NgIf3 } from "@angular/common";
import { Component as Component3 } from "@angular/core";
import { DynamicFormColorPipe as DynamicFormColorPipe2, DynamicFormIconBase, DynamicFormIconPipe } from "@dynamic-forms/core";
import * as i03 from "@angular/core";
import * as i12 from "@dynamic-forms/core";
var BsDynamicFormIconComponent = class _BsDynamicFormIconComponent extends DynamicFormIconBase {
  constructor(actionService) {
    super(actionService);
    this.actionService = actionService;
  }
  static {
    this.ɵfac = i03.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i03, type: _BsDynamicFormIconComponent, deps: [{ token: i12.DynamicFormActionService }], target: i03.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i03.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormIconComponent, isStandalone: true, selector: "bs-dynamic-form-icon", usesInheritance: true, ngImport: i03, template: `<div class="dynamic-form-icon-wrapper" [ngClass]="template.classNameWrapper">
  <a
    *ngIf="template.url; else button"
    [class]="'dynamic-form-icon btn btn-outline-' + (template.color | dynamicFormColor: 'primary')"
    [class.disabled]="template.disabled"
    [ngClass]="template.className"
    [hidden]="template.hidden"
    [href]="template.url"
    [target]="template.urlTarget || '_blank'"
  >
    <i class="material-icons">{{ template.icon | dynamicFormIcon }}</i></a
  >

  <ng-template #button>
    <button
      [id]="id"
      [class]="'dynamic-form-icon btn btn-outline-' + (template.color | dynamicFormColor: 'primary')"
      [ngClass]="template.className"
      [type]="template.type || 'button'"
      [disabled]="template.disabled"
      [hidden]="template.hidden"
      (click)="onClick($event)"
    >
      <i class="material-icons">{{ template.icon | dynamicFormIcon }}</i></button
    >
  </ng-template>
</div>

<bs-dynamic-form-dialog
  *ngIf="dialog"
  [isOpen$]="dialogOpen$"
  [children]="dialogChildren"
  [headerActions]="dialogHeaderActions"
  [footerActions]="dialogFooterActions"
  [width]="template.dialogWidth"
  [minWidth]="template.dialogMinWidth"
  [maxWidth]="template.dialogMaxWidth"
  [title]="template.dialogTitle"
  [titleHtml]="template.dialogTitleHtml"
  [classNameForm]="element.root.template.className"
  [classNameModal]="template.className"
  [classNameTitle]="template.classNameDialogTitle"
  [classNameChildren]="dialogTemplate?.classNameChildren"
  [classNameHeader]="dialogTemplate?.classNameHeader"
  [classNameFooter]="dialogTemplate?.classNameFooter"
/>
`, dependencies: [{ kind: "directive", type: NgClass3, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgIf3, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: DynamicFormColorPipe2, name: "dynamicFormColor" }, { kind: "pipe", type: DynamicFormIconPipe, name: "dynamicFormIcon" }, { kind: "component", type: BsDynamicFormDialogComponent, selector: "bs-dynamic-form-dialog", inputs: ["isOpen$", "children", "headerActions", "footerActions", "width", "height", "minWidth", "minHeight", "maxWidth", "maxHeight", "maximized", "title", "titleHtml", "classNameForm", "classNameModal", "classNameChildren", "classNameHeader", "classNameFooter", "classNameTitle"] }] });
  }
};
i03.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i03, type: BsDynamicFormIconComponent, decorators: [{
  type: Component3,
  args: [{ standalone: true, selector: "bs-dynamic-form-icon", imports: [NgClass3, NgIf3, DynamicFormColorPipe2, DynamicFormIconPipe, BsDynamicFormDialogComponent], template: `<div class="dynamic-form-icon-wrapper" [ngClass]="template.classNameWrapper">
  <a
    *ngIf="template.url; else button"
    [class]="'dynamic-form-icon btn btn-outline-' + (template.color | dynamicFormColor: 'primary')"
    [class.disabled]="template.disabled"
    [ngClass]="template.className"
    [hidden]="template.hidden"
    [href]="template.url"
    [target]="template.urlTarget || '_blank'"
  >
    <i class="material-icons">{{ template.icon | dynamicFormIcon }}</i></a
  >

  <ng-template #button>
    <button
      [id]="id"
      [class]="'dynamic-form-icon btn btn-outline-' + (template.color | dynamicFormColor: 'primary')"
      [ngClass]="template.className"
      [type]="template.type || 'button'"
      [disabled]="template.disabled"
      [hidden]="template.hidden"
      (click)="onClick($event)"
    >
      <i class="material-icons">{{ template.icon | dynamicFormIcon }}</i></button
    >
  </ng-template>
</div>

<bs-dynamic-form-dialog
  *ngIf="dialog"
  [isOpen$]="dialogOpen$"
  [children]="dialogChildren"
  [headerActions]="dialogHeaderActions"
  [footerActions]="dialogFooterActions"
  [width]="template.dialogWidth"
  [minWidth]="template.dialogMinWidth"
  [maxWidth]="template.dialogMaxWidth"
  [title]="template.dialogTitle"
  [titleHtml]="template.dialogTitleHtml"
  [classNameForm]="element.root.template.className"
  [classNameModal]="template.className"
  [classNameTitle]="template.classNameDialogTitle"
  [classNameChildren]="dialogTemplate?.classNameChildren"
  [classNameHeader]="dialogTemplate?.classNameHeader"
  [classNameFooter]="dialogTemplate?.classNameFooter"
/>
` }]
}], ctorParameters: () => [{ type: i12.DynamicFormActionService }] });

// lib/dynamic-form-action/dynamic-form-icon/dynamic-form-icon-type.mjs
var bsDynamicFormIconType = {
  type: "icon",
  component: BsDynamicFormIconComponent,
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-action/dynamic-form-action.module.mjs
import { NgModule } from "@angular/core";
import { importDynamicFormsProviders, withDynamicFormActions } from "@dynamic-forms/core";
import * as i04 from "@angular/core";
var bsDynamicFormActionTypes = [bsDynamicFormButtonType, bsDynamicFormIconType];
function withBsDynamicFormActionDefaultFeatures() {
  return [withDynamicFormActions(...bsDynamicFormActionTypes)];
}
var BsDynamicFormActionModule = class _BsDynamicFormActionModule {
  static {
    this.ɵfac = i04.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i04, type: _BsDynamicFormActionModule, deps: [], target: i04.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i04.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i04, type: _BsDynamicFormActionModule });
  }
  static {
    this.ɵinj = i04.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i04, type: _BsDynamicFormActionModule, providers: importDynamicFormsProviders(...withBsDynamicFormActionDefaultFeatures()) });
  }
};
i04.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i04, type: BsDynamicFormActionModule, decorators: [{
  type: NgModule,
  args: [{ providers: importDynamicFormsProviders(...withBsDynamicFormActionDefaultFeatures()) }]
}] });

// lib/dynamic-form-element/dynamic-form-items/dynamic-form-accordion/dynamic-form-accordion.component.mjs
import { NgClass as NgClass4, NgFor, NgIf as NgIf4 } from "@angular/common";
import { Component as Component4 } from "@angular/core";
import { DynamicFormAccordionBase, DynamicFormElementsComponent as DynamicFormElementsComponent2 } from "@dynamic-forms/core";
import * as i05 from "@angular/core";
var BsDynamicFormAccordionComponent = class _BsDynamicFormAccordionComponent extends DynamicFormAccordionBase {
  constructor() {
    super();
  }
  static {
    this.ɵfac = i05.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i05, type: _BsDynamicFormAccordionComponent, deps: [], target: i05.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i05.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormAccordionComponent, isStandalone: true, selector: "bs-dynamic-form-accordion", usesInheritance: true, ngImport: i05, template: '<div class="dynamic-form-items dynamic-form-accordion accordion" [ngClass]="template.className" [hidden]="template.hidden">\n  <div *ngFor="let child of element.children; let index = index" class="accordion-item" [hidden]="child.template.hidden">\n    <div class="dynamic-form-item-header accordion-header" [class.disabled]="child.disabled" (click)="toggleItem(index)">\n      <button class="accordion-button" type="button" [class.collapsed]="index !== selectedIndex">{{ child.label }}</button>\n    </div>\n    <div *ngIf="index === selectedIndex" class="dynamic-form-item accordion-body">\n      <dynamic-form-elements [elements]="child.children" />\n    </div>\n  </div>\n</div>\n', dependencies: [{ kind: "directive", type: NgClass4, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgFor, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgIf4, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DynamicFormElementsComponent2, selector: "dynamic-form-elements", inputs: ["elements"] }] });
  }
};
i05.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i05, type: BsDynamicFormAccordionComponent, decorators: [{
  type: Component4,
  args: [{ standalone: true, selector: "bs-dynamic-form-accordion", imports: [NgClass4, NgFor, NgIf4, DynamicFormElementsComponent2], template: '<div class="dynamic-form-items dynamic-form-accordion accordion" [ngClass]="template.className" [hidden]="template.hidden">\n  <div *ngFor="let child of element.children; let index = index" class="accordion-item" [hidden]="child.template.hidden">\n    <div class="dynamic-form-item-header accordion-header" [class.disabled]="child.disabled" (click)="toggleItem(index)">\n      <button class="accordion-button" type="button" [class.collapsed]="index !== selectedIndex">{{ child.label }}</button>\n    </div>\n    <div *ngIf="index === selectedIndex" class="dynamic-form-item accordion-body">\n      <dynamic-form-elements [elements]="child.children" />\n    </div>\n  </div>\n</div>\n' }]
}], ctorParameters: () => [] });

// lib/dynamic-form-element/dynamic-form-items/dynamic-form-accordion/dynamic-form-accordion.module.mjs
import { NgModule as NgModule2 } from "@angular/core";
import { dynamicFormItemsFactory, importDynamicFormsProviders as importDynamicFormsProviders2, withDynamicFormElements } from "@dynamic-forms/core";
import * as i06 from "@angular/core";
var bsDynamicFormAccordionType = {
  type: "accordion",
  factory: dynamicFormItemsFactory,
  component: BsDynamicFormAccordionComponent,
  libraryName: bsDynamicFormLibrary.name
};
var BsDynamicFormAccordionModule = class _BsDynamicFormAccordionModule {
  static {
    this.ɵfac = i06.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i06, type: _BsDynamicFormAccordionModule, deps: [], target: i06.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i06.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i06, type: _BsDynamicFormAccordionModule });
  }
  static {
    this.ɵinj = i06.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i06, type: _BsDynamicFormAccordionModule, providers: importDynamicFormsProviders2(withDynamicFormElements(bsDynamicFormAccordionType)) });
  }
};
i06.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i06, type: BsDynamicFormAccordionModule, decorators: [{
  type: NgModule2,
  args: [{ providers: importDynamicFormsProviders2(withDynamicFormElements(bsDynamicFormAccordionType)) }]
}] });

// lib/dynamic-form-element/dynamic-form-items/dynamic-form-tabs/dynamic-form-tabs.component.mjs
import { NgClass as NgClass5, NgFor as NgFor2, NgIf as NgIf5 } from "@angular/common";
import { Component as Component5 } from "@angular/core";
import { DynamicFormElementsComponent as DynamicFormElementsComponent3, DynamicFormTabsBase } from "@dynamic-forms/core";
import * as i07 from "@angular/core";
var BsDynamicFormTabsComponent = class _BsDynamicFormTabsComponent extends DynamicFormTabsBase {
  constructor() {
    super();
  }
  static {
    this.ɵfac = i07.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i07, type: _BsDynamicFormTabsComponent, deps: [], target: i07.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i07.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormTabsComponent, isStandalone: true, selector: "bs-dynamic-form-tabs", usesInheritance: true, ngImport: i07, template: '<div class="dynamic-form-items dynamic-form-tabs" [ngClass]="template.className" [hidden]="template.hidden">\n  <ul class="nav nav-tabs">\n    <li *ngFor="let child of element.children; let index = index" class="nav-item" [hidden]="template.hidden">\n      <button\n        type="button"\n        class="dynamic-form-item-header nav-link"\n        [class.active]="index === selectedIndex"\n        [class.disabled]="child.disabled"\n        (click)="selectItem(index)"\n        >{{ child.label }}</button\n      >\n    </li>\n  </ul>\n  <div class="tab-content">\n    <div *ngIf="selectedItem" class="dynamic-form-item tab-pane active" [hidden]="template.hidden">\n      <dynamic-form-elements [elements]="selectedItem.children" />\n    </div>\n  </div>\n</div>\n', dependencies: [{ kind: "directive", type: NgClass5, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgFor2, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgIf5, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DynamicFormElementsComponent3, selector: "dynamic-form-elements", inputs: ["elements"] }] });
  }
};
i07.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i07, type: BsDynamicFormTabsComponent, decorators: [{
  type: Component5,
  args: [{ standalone: true, selector: "bs-dynamic-form-tabs", imports: [NgClass5, NgFor2, NgIf5, DynamicFormElementsComponent3], template: '<div class="dynamic-form-items dynamic-form-tabs" [ngClass]="template.className" [hidden]="template.hidden">\n  <ul class="nav nav-tabs">\n    <li *ngFor="let child of element.children; let index = index" class="nav-item" [hidden]="template.hidden">\n      <button\n        type="button"\n        class="dynamic-form-item-header nav-link"\n        [class.active]="index === selectedIndex"\n        [class.disabled]="child.disabled"\n        (click)="selectItem(index)"\n        >{{ child.label }}</button\n      >\n    </li>\n  </ul>\n  <div class="tab-content">\n    <div *ngIf="selectedItem" class="dynamic-form-item tab-pane active" [hidden]="template.hidden">\n      <dynamic-form-elements [elements]="selectedItem.children" />\n    </div>\n  </div>\n</div>\n' }]
}], ctorParameters: () => [] });

// lib/dynamic-form-element/dynamic-form-items/dynamic-form-tabs/dynamic-form-tabs.module.mjs
import { NgModule as NgModule3 } from "@angular/core";
import { dynamicFormItemsFactory as dynamicFormItemsFactory2, importDynamicFormsProviders as importDynamicFormsProviders3, withDynamicFormElements as withDynamicFormElements2 } from "@dynamic-forms/core";
import * as i08 from "@angular/core";
var bsDynamicFormTabsType = {
  type: "tabs",
  factory: dynamicFormItemsFactory2,
  component: BsDynamicFormTabsComponent,
  libraryName: bsDynamicFormLibrary.name
};
var BsDynamicFormTabsModule = class _BsDynamicFormTabsModule {
  static {
    this.ɵfac = i08.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i08, type: _BsDynamicFormTabsModule, deps: [], target: i08.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i08.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i08, type: _BsDynamicFormTabsModule });
  }
  static {
    this.ɵinj = i08.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i08, type: _BsDynamicFormTabsModule, providers: importDynamicFormsProviders3(withDynamicFormElements2(bsDynamicFormTabsType)) });
  }
};
i08.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i08, type: BsDynamicFormTabsModule, decorators: [{
  type: NgModule3,
  args: [{ providers: importDynamicFormsProviders3(withDynamicFormElements2(bsDynamicFormTabsType)) }]
}] });

// lib/dynamic-form-element/dynamic-form-items/dynamic-form-items.module.mjs
import { NgModule as NgModule4 } from "@angular/core";
import * as i09 from "@angular/core";
var modules = [BsDynamicFormAccordionModule, BsDynamicFormTabsModule];
var BsDynamicFormItemsModule = class _BsDynamicFormItemsModule {
  static {
    this.ɵfac = i09.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i09, type: _BsDynamicFormItemsModule, deps: [], target: i09.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i09.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i09, type: _BsDynamicFormItemsModule, imports: [BsDynamicFormAccordionModule, BsDynamicFormTabsModule], exports: [BsDynamicFormAccordionModule, BsDynamicFormTabsModule] });
  }
  static {
    this.ɵinj = i09.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i09, type: _BsDynamicFormItemsModule, imports: [modules, BsDynamicFormAccordionModule, BsDynamicFormTabsModule] });
  }
};
i09.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i09, type: BsDynamicFormItemsModule, decorators: [{
  type: NgModule4,
  args: [{
    imports: modules,
    exports: modules
  }]
}] });

// lib/dynamic-form-element/dynamic-form-modal/dynamic-form-modal.component.mjs
import { NgIf as NgIf6 } from "@angular/common";
import { Component as Component6 } from "@angular/core";
import { DynamicFormElementComponent, DynamicFormModalBase } from "@dynamic-forms/core";
import * as i010 from "@angular/core";
var BsDynamicFormModalComponent = class _BsDynamicFormModalComponent extends DynamicFormModalBase {
  constructor() {
    super();
  }
  static {
    this.ɵfac = i010.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i010, type: _BsDynamicFormModalComponent, deps: [], target: i010.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i010.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormModalComponent, isStandalone: true, selector: "bs-dynamic-form-modal", usesInheritance: true, ngImport: i010, template: '<dynamic-form-element *ngIf="trigger" [element]="trigger" />\n\n<bs-dynamic-form-dialog\n  [isOpen$]="isOpen$"\n  [children]="children"\n  [headerActions]="headerActions"\n  [footerActions]="footerActions"\n  [width]="template.width"\n  [height]="template.height"\n  [minWidth]="template.minWidth"\n  [minHeight]="template.minHeight"\n  [maxWidth]="template.maxWidth"\n  [maxHeight]="template.maxHeight"\n  [maximized]="template.maximized"\n  [title]="template.title"\n  [titleHtml]="template.titleHtml"\n  [classNameForm]="element.root.template.className"\n  [classNameModal]="template.className"\n  [classNameTitle]="template.classNameTitle"\n  [classNameChildren]="template.classNameChildren"\n  [classNameHeader]="template.classNameHeader"\n  [classNameFooter]="template.classNameFooter"\n/>\n', dependencies: [{ kind: "directive", type: NgIf6, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DynamicFormElementComponent, selector: "dynamic-form-element" }, { kind: "component", type: BsDynamicFormDialogComponent, selector: "bs-dynamic-form-dialog", inputs: ["isOpen$", "children", "headerActions", "footerActions", "width", "height", "minWidth", "minHeight", "maxWidth", "maxHeight", "maximized", "title", "titleHtml", "classNameForm", "classNameModal", "classNameChildren", "classNameHeader", "classNameFooter", "classNameTitle"] }] });
  }
};
i010.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i010, type: BsDynamicFormModalComponent, decorators: [{
  type: Component6,
  args: [{ standalone: true, selector: "bs-dynamic-form-modal", imports: [NgIf6, DynamicFormElementComponent, BsDynamicFormDialogComponent], template: '<dynamic-form-element *ngIf="trigger" [element]="trigger" />\n\n<bs-dynamic-form-dialog\n  [isOpen$]="isOpen$"\n  [children]="children"\n  [headerActions]="headerActions"\n  [footerActions]="footerActions"\n  [width]="template.width"\n  [height]="template.height"\n  [minWidth]="template.minWidth"\n  [minHeight]="template.minHeight"\n  [maxWidth]="template.maxWidth"\n  [maxHeight]="template.maxHeight"\n  [maximized]="template.maximized"\n  [title]="template.title"\n  [titleHtml]="template.titleHtml"\n  [classNameForm]="element.root.template.className"\n  [classNameModal]="template.className"\n  [classNameTitle]="template.classNameTitle"\n  [classNameChildren]="template.classNameChildren"\n  [classNameHeader]="template.classNameHeader"\n  [classNameFooter]="template.classNameFooter"\n/>\n' }]
}], ctorParameters: () => [] });

// lib/dynamic-form-element/dynamic-form-modal/dynamic-form-modal.module.mjs
import { NgModule as NgModule5 } from "@angular/core";
import { DynamicFormConfigModule, DynamicFormModalModule, dynamicFormModalFactory, importDynamicFormsProviders as importDynamicFormsProviders4, withDynamicFormElements as withDynamicFormElements3 } from "@dynamic-forms/core";
import * as i011 from "@angular/core";
var bsDynamicFormModalType = {
  type: "modal",
  factory: dynamicFormModalFactory,
  component: BsDynamicFormModalComponent,
  libraryName: bsDynamicFormLibrary.name
};
var modules2 = [DynamicFormConfigModule, DynamicFormModalModule];
var BsDynamicFormModalModule = class _BsDynamicFormModalModule {
  static {
    this.ɵfac = i011.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i011, type: _BsDynamicFormModalModule, deps: [], target: i011.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i011.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i011, type: _BsDynamicFormModalModule, imports: [DynamicFormConfigModule, DynamicFormModalModule], exports: [DynamicFormConfigModule, DynamicFormModalModule] });
  }
  static {
    this.ɵinj = i011.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i011, type: _BsDynamicFormModalModule, providers: importDynamicFormsProviders4(withDynamicFormElements3(bsDynamicFormModalType)), imports: [modules2, DynamicFormConfigModule, DynamicFormModalModule] });
  }
};
i011.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i011, type: BsDynamicFormModalModule, decorators: [{
  type: NgModule5,
  args: [{
    imports: modules2,
    exports: modules2,
    providers: importDynamicFormsProviders4(withDynamicFormElements3(bsDynamicFormModalType))
  }]
}] });

// lib/dynamic-form-element/dynamic-form-element.module.mjs
import { NgModule as NgModule6 } from "@angular/core";
import { withDynamicFormElements as withDynamicFormElements4, withDynamicFormModalActionHandlers } from "@dynamic-forms/core";
import * as i012 from "@angular/core";
var bsDynamicFormElementTypes = [bsDynamicFormAccordionType, bsDynamicFormTabsType, bsDynamicFormModalType];
function withBsDynamicFormElementDefaultFeatures() {
  return [withDynamicFormElements4(...bsDynamicFormElementTypes), withDynamicFormModalActionHandlers()];
}
var modules3 = [BsDynamicFormItemsModule, BsDynamicFormModalModule];
var BsDynamicFormElementModule = class _BsDynamicFormElementModule {
  static {
    this.ɵfac = i012.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i012, type: _BsDynamicFormElementModule, deps: [], target: i012.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i012.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i012, type: _BsDynamicFormElementModule, imports: [BsDynamicFormItemsModule, BsDynamicFormModalModule], exports: [BsDynamicFormItemsModule, BsDynamicFormModalModule] });
  }
  static {
    this.ɵinj = i012.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i012, type: _BsDynamicFormElementModule, imports: [modules3, BsDynamicFormItemsModule, BsDynamicFormModalModule] });
  }
};
i012.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i012, type: BsDynamicFormElementModule, decorators: [{
  type: NgModule6,
  args: [{
    imports: modules3,
    exports: modules3
  }]
}] });

// lib/dynamic-form-field/dynamic-form-control-errors/dynamic-form-control-errors.component.mjs
import { NgIf as NgIf7 } from "@angular/common";
import { Component as Component7 } from "@angular/core";
import { DynamicFormControlWrapperBase } from "@dynamic-forms/core";
import * as i013 from "@angular/core";
import * as i13 from "@dynamic-forms/core";
var BsDynamicFormControlErrorsComponent = class _BsDynamicFormControlErrorsComponent extends DynamicFormControlWrapperBase {
  constructor(containerRef, validationService) {
    super(containerRef, validationService);
    this.containerRef = containerRef;
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i013.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i013, type: _BsDynamicFormControlErrorsComponent, deps: [{ token: i013.ViewContainerRef }, { token: i13.DynamicFormValidationService }], target: i013.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i013.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormControlErrorsComponent, isStandalone: true, selector: "bs-dynamic-form-control-errors", usesInheritance: true, ngImport: i013, template: '<ng-template #container />\n<div *ngIf="showErrors" class="dynamic-form-field-errors invalid-feedback">{{ errorMessage }}</div>\n', dependencies: [{ kind: "directive", type: NgIf7, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i013.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i013, type: BsDynamicFormControlErrorsComponent, decorators: [{
  type: Component7,
  args: [{ standalone: true, selector: "bs-dynamic-form-control-errors", imports: [NgIf7], template: '<ng-template #container />\n<div *ngIf="showErrors" class="dynamic-form-field-errors invalid-feedback">{{ errorMessage }}</div>\n' }]
}], ctorParameters: () => [{ type: i013.ViewContainerRef }, { type: i13.DynamicFormValidationService }] });

// lib/dynamic-form-field/dynamic-form-control-errors/dynamic-form-control-errors.module.mjs
import { NgModule as NgModule7 } from "@angular/core";
import { importDynamicFormsProviders as importDynamicFormsProviders5, withDynamicFormFieldWrappers } from "@dynamic-forms/core";
import * as i014 from "@angular/core";
var bsDynamicFormControlErrorsType = {
  type: "errors",
  component: BsDynamicFormControlErrorsComponent,
  libraryName: bsDynamicFormLibrary.name
};
var BsDynamicFormControlErrorsModule = class _BsDynamicFormControlErrorsModule {
  static {
    this.ɵfac = i014.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i014, type: _BsDynamicFormControlErrorsModule, deps: [], target: i014.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i014.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i014, type: _BsDynamicFormControlErrorsModule });
  }
  static {
    this.ɵinj = i014.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i014, type: _BsDynamicFormControlErrorsModule, providers: importDynamicFormsProviders5(withDynamicFormFieldWrappers(bsDynamicFormControlErrorsType)) });
  }
};
i014.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i014, type: BsDynamicFormControlErrorsModule, decorators: [{
  type: NgModule7,
  args: [{ providers: importDynamicFormsProviders5(withDynamicFormFieldWrappers(bsDynamicFormControlErrorsType)) }]
}] });

// lib/dynamic-form-field/dynamic-form-control-hints/dynamic-form-control-hints.component.mjs
import { NgIf as NgIf8 } from "@angular/common";
import { Component as Component8 } from "@angular/core";
import { DynamicFormControlWrapperBase as DynamicFormControlWrapperBase2 } from "@dynamic-forms/core";
import * as i015 from "@angular/core";
import * as i14 from "@dynamic-forms/core";
var BsDynamicFormControlHintsComponent = class _BsDynamicFormControlHintsComponent extends DynamicFormControlWrapperBase2 {
  constructor(containerRef, validationService) {
    super(containerRef, validationService);
    this.containerRef = containerRef;
    this.validationService = validationService;
  }
  get hints() {
    return this.field.template.hints;
  }
  get hasHints() {
    return !!(this.hints?.hintStart || this.hints?.hintEnd);
  }
  get showHints() {
    return this.hasHints && !this.showErrors;
  }
  static {
    this.ɵfac = i015.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i015, type: _BsDynamicFormControlHintsComponent, deps: [{ token: i015.ViewContainerRef }, { token: i14.DynamicFormValidationService }], target: i015.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i015.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormControlHintsComponent, isStandalone: true, selector: "bs-dynamic-form-control-hints", usesInheritance: true, ngImport: i015, template: '<ng-template #container />\n<small *ngIf="showHints" class="dynamic-form-field-hints form-text text-muted">\n  <span *ngIf="hints.hintStart" class="hint-start">{{ hints?.hintStart }}</span>\n  <span class="hint-spacer"></span>\n  <span *ngIf="hints.hintEnd" class="hint-end">{{ hints?.hintEnd }}</span>\n</small>\n', dependencies: [{ kind: "directive", type: NgIf8, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i015.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i015, type: BsDynamicFormControlHintsComponent, decorators: [{
  type: Component8,
  args: [{ standalone: true, selector: "bs-dynamic-form-control-hints", imports: [NgIf8], template: '<ng-template #container />\n<small *ngIf="showHints" class="dynamic-form-field-hints form-text text-muted">\n  <span *ngIf="hints.hintStart" class="hint-start">{{ hints?.hintStart }}</span>\n  <span class="hint-spacer"></span>\n  <span *ngIf="hints.hintEnd" class="hint-end">{{ hints?.hintEnd }}</span>\n</small>\n' }]
}], ctorParameters: () => [{ type: i015.ViewContainerRef }, { type: i14.DynamicFormValidationService }] });

// lib/dynamic-form-field/dynamic-form-control-hints/dynamic-form-control-hints.module.mjs
import { NgModule as NgModule8 } from "@angular/core";
import { DynamicFormConfigModule as DynamicFormConfigModule2, importDynamicFormsProviders as importDynamicFormsProviders6, withDynamicFormFieldWrappers as withDynamicFormFieldWrappers2 } from "@dynamic-forms/core";
import * as i016 from "@angular/core";
var bsDynamicFormControlHintsType = {
  type: "hints",
  component: BsDynamicFormControlHintsComponent,
  libraryName: bsDynamicFormLibrary.name
};
var modules4 = [DynamicFormConfigModule2];
var BsDynamicFormControlHintsModule = class _BsDynamicFormControlHintsModule {
  static {
    this.ɵfac = i016.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i016, type: _BsDynamicFormControlHintsModule, deps: [], target: i016.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i016.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i016, type: _BsDynamicFormControlHintsModule, imports: [DynamicFormConfigModule2], exports: [DynamicFormConfigModule2] });
  }
  static {
    this.ɵinj = i016.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i016, type: _BsDynamicFormControlHintsModule, providers: importDynamicFormsProviders6(withDynamicFormFieldWrappers2(bsDynamicFormControlHintsType)), imports: [modules4, DynamicFormConfigModule2] });
  }
};
i016.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i016, type: BsDynamicFormControlHintsModule, decorators: [{
  type: NgModule8,
  args: [{
    imports: modules4,
    exports: modules4,
    providers: importDynamicFormsProviders6(withDynamicFormFieldWrappers2(bsDynamicFormControlHintsType))
  }]
}] });

// lib/dynamic-form-field/dynamic-form-control-label/dynamic-form-control-label.component.mjs
import { NgIf as NgIf9 } from "@angular/common";
import { Component as Component9 } from "@angular/core";
import { DynamicFormControlWrapperBase as DynamicFormControlWrapperBase3 } from "@dynamic-forms/core";
import * as i017 from "@angular/core";
import * as i15 from "@dynamic-forms/core";
var BsDynamicFormControlLabelComponent = class _BsDynamicFormControlLabelComponent extends DynamicFormControlWrapperBase3 {
  constructor(containerRef, validationService) {
    super(containerRef, validationService);
    this.containerRef = containerRef;
    this.validationService = validationService;
  }
  get inputId() {
    return this.field.inputId;
  }
  get validation() {
    return this.field.template.validation;
  }
  static {
    this.ɵfac = i017.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i017, type: _BsDynamicFormControlLabelComponent, deps: [{ token: i017.ViewContainerRef }, { token: i15.DynamicFormValidationService }], target: i017.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i017.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormControlLabelComponent, isStandalone: true, selector: "bs-dynamic-form-control-label", usesInheritance: true, ngImport: i017, template: '<label *ngIf="template.label" class="form-label" [for]="inputId">{{ template.label }}<span *ngIf="validation?.required"> *</span></label>\n<ng-template #container />\n', dependencies: [{ kind: "directive", type: NgIf9, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i017.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i017, type: BsDynamicFormControlLabelComponent, decorators: [{
  type: Component9,
  args: [{ standalone: true, selector: "bs-dynamic-form-control-label", imports: [NgIf9], template: '<label *ngIf="template.label" class="form-label" [for]="inputId">{{ template.label }}<span *ngIf="validation?.required"> *</span></label>\n<ng-template #container />\n' }]
}], ctorParameters: () => [{ type: i017.ViewContainerRef }, { type: i15.DynamicFormValidationService }] });

// lib/dynamic-form-field/dynamic-form-control-label/dynamic-form-control-label.module.mjs
import { NgModule as NgModule9 } from "@angular/core";
import { importDynamicFormsProviders as importDynamicFormsProviders7, withDynamicFormFieldWrappers as withDynamicFormFieldWrappers3 } from "@dynamic-forms/core";
import * as i018 from "@angular/core";
var bsDynamicFormControlLabelType = {
  type: "label",
  component: BsDynamicFormControlLabelComponent,
  libraryName: bsDynamicFormLibrary.name
};
var BsDynamicFormControlLabelModule = class _BsDynamicFormControlLabelModule {
  static {
    this.ɵfac = i018.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i018, type: _BsDynamicFormControlLabelModule, deps: [], target: i018.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i018.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i018, type: _BsDynamicFormControlLabelModule });
  }
  static {
    this.ɵinj = i018.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i018, type: _BsDynamicFormControlLabelModule, providers: importDynamicFormsProviders7(withDynamicFormFieldWrappers3(bsDynamicFormControlLabelType)) });
  }
};
i018.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i018, type: BsDynamicFormControlLabelModule, decorators: [{
  type: NgModule9,
  args: [{ providers: importDynamicFormsProviders7(withDynamicFormFieldWrappers3(bsDynamicFormControlLabelType)) }]
}] });

// lib/dynamic-form-field/dynamic-form-field-wrapper.module.mjs
import { NgModule as NgModule10 } from "@angular/core";
import { withDynamicFormFieldWrappers as withDynamicFormFieldWrappers4 } from "@dynamic-forms/core";
import * as i019 from "@angular/core";
var bsDynamicFormFieldWrapperTypes = [
  bsDynamicFormControlErrorsType,
  bsDynamicFormControlHintsType,
  bsDynamicFormControlLabelType
];
function withBsDynamicFormFieldWrapperDefaultFeatures() {
  return [withDynamicFormFieldWrappers4(...bsDynamicFormFieldWrapperTypes)];
}
var modules5 = [BsDynamicFormControlErrorsModule, BsDynamicFormControlHintsModule, BsDynamicFormControlLabelModule];
var BsDynamicFormFieldWrapperModule = class _BsDynamicFormFieldWrapperModule {
  static {
    this.ɵfac = i019.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i019, type: _BsDynamicFormFieldWrapperModule, deps: [], target: i019.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i019.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i019, type: _BsDynamicFormFieldWrapperModule, imports: [BsDynamicFormControlErrorsModule, BsDynamicFormControlHintsModule, BsDynamicFormControlLabelModule], exports: [BsDynamicFormControlErrorsModule, BsDynamicFormControlHintsModule, BsDynamicFormControlLabelModule] });
  }
  static {
    this.ɵinj = i019.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i019, type: _BsDynamicFormFieldWrapperModule, imports: [modules5, BsDynamicFormControlErrorsModule, BsDynamicFormControlHintsModule, BsDynamicFormControlLabelModule] });
  }
};
i019.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i019, type: BsDynamicFormFieldWrapperModule, decorators: [{
  type: NgModule10,
  args: [{
    imports: modules5,
    exports: modules5
  }]
}] });

// lib/dynamic-form-input/dynamic-form-checkbox/dynamic-form-checkbox.component.mjs
import { NgIf as NgIf10 } from "@angular/common";
import { Component as Component10 } from "@angular/core";
import { ReactiveFormsModule } from "@angular/forms";
import { DynamicFormInputBase } from "@dynamic-forms/core";
import * as i020 from "@angular/core";
import * as i16 from "@dynamic-forms/core";
import * as i2 from "@angular/forms";
var BsDynamicFormCheckboxComponent = class _BsDynamicFormCheckboxComponent extends DynamicFormInputBase {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i020.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i020, type: _BsDynamicFormCheckboxComponent, deps: [{ token: i16.DynamicFormValidationService }], target: i020.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i020.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormCheckboxComponent, isStandalone: true, selector: "bs-dynamic-form-checkbox", usesInheritance: true, ngImport: i020, template: '<div class="form-check">\n  <input\n    class="form-check-input"\n    type="checkbox"\n    [id]="inputId"\n    [readonly]="readonly"\n    [required]="validation?.required"\n    [indeterminate]="input?.indeterminate"\n    [formControl]="control"\n  />\n  <label class="form-check-label" [for]="inputId">{{ template.label }}<span *ngIf="validation?.required"> *</span></label>\n</div>\n', dependencies: [{ kind: "directive", type: NgIf10, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.CheckboxRequiredValidator, selector: "input[type=checkbox][required][formControlName],input[type=checkbox][required][formControl],input[type=checkbox][required][ngModel]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
  }
};
i020.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i020, type: BsDynamicFormCheckboxComponent, decorators: [{
  type: Component10,
  args: [{ standalone: true, selector: "bs-dynamic-form-checkbox", imports: [NgIf10, ReactiveFormsModule], template: '<div class="form-check">\n  <input\n    class="form-check-input"\n    type="checkbox"\n    [id]="inputId"\n    [readonly]="readonly"\n    [required]="validation?.required"\n    [indeterminate]="input?.indeterminate"\n    [formControl]="control"\n  />\n  <label class="form-check-label" [for]="inputId">{{ template.label }}<span *ngIf="validation?.required"> *</span></label>\n</div>\n' }]
}], ctorParameters: () => [{ type: i16.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-checkbox/dynamic-form-checkbox-type.mjs
var bsDynamicFormCheckboxType = {
  type: "checkbox",
  component: BsDynamicFormCheckboxComponent,
  wrappers: ["errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-input-wrapper/dynamic-form-input-wrapper.component.mjs
import { NgIf as NgIf11, NgTemplateOutlet } from "@angular/common";
import { Component as Component11, Input as Input2 } from "@angular/core";
import { DynamicFormElementComponent as DynamicFormElementComponent2 } from "@dynamic-forms/core";
import * as i021 from "@angular/core";
var BsDynamicFormInputWrapperComponent = class _BsDynamicFormInputWrapperComponent {
  static {
    this.ɵfac = i021.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i021, type: _BsDynamicFormInputWrapperComponent, deps: [], target: i021.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i021.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormInputWrapperComponent, isStandalone: true, selector: "bs-dynamic-form-input-wrapper", inputs: { inputTemplate: "inputTemplate", inputId: "inputId", label: "label", labelFloating: "labelFloating", requiredMarker: "requiredMarker", inputAddOn: "inputAddOn", prefixAddOn: "prefixAddOn", suffixAddOn: "suffixAddOn" }, ngImport: i021, template: `<ng-container *ngIf="labelFloating; else noLabelFloating">
  <div *ngIf="inputAddOn || prefixAddOn || suffixAddOn; else noAddOns" class="input-group floating">
    <dynamic-form-element
      *ngIf="prefixAddOn && !prefixAddOn.hidden"
      class="dynamic-form-add-on prefix"
      [element]="prefixAddOn"
      [class.input-group-text]="prefixAddOn.classType === 'element'"
    />
    <div class="form-floating">
      <ng-container *ngTemplateOutlet="inputTemplate" />
      <label *ngIf="label" class="form-label" [for]="inputId">{{ label }}<span *ngIf="requiredMarker"> *</span></label>
    </div>
    <dynamic-form-element
      *ngIf="inputAddOn && !inputAddOn.hidden"
      class="dynamic-form-add-on suffix"
      [element]="inputAddOn"
      [class.input-group-text]="inputAddOn.classType === 'element'"
    />
    <dynamic-form-element
      *ngIf="suffixAddOn && !suffixAddOn.hidden"
      class="dynamic-form-add-on suffix"
      [element]="suffixAddOn"
      [class.input-group-text]="suffixAddOn.classType === 'element'"
    />
  </div>
  <ng-template #noAddOns>
    <div class="form-floating">
      <ng-container *ngTemplateOutlet="inputTemplate" />
      <label *ngIf="label" class="form-label" [for]="inputId">{{ label }}<span *ngIf="requiredMarker"> *</span></label>
    </div>
  </ng-template>
</ng-container>

<ng-template #noLabelFloating>
  <label *ngIf="label" class="form-label" [for]="inputId">{{ label }}<span *ngIf="requiredMarker"> *</span></label>
  <div *ngIf="inputAddOn || prefixAddOn || suffixAddOn; else noAddOns" class="input-group">
    <dynamic-form-element
      *ngIf="prefixAddOn && !prefixAddOn.hidden"
      class="dynamic-form-add-on prefix"
      [element]="prefixAddOn"
      [class.input-group-text]="prefixAddOn.classType === 'element'"
    />
    <ng-container *ngTemplateOutlet="inputTemplate" />
    <dynamic-form-element
      *ngIf="inputAddOn && !inputAddOn.hidden"
      class="dynamic-form-add-on suffix"
      [element]="inputAddOn"
      [class.input-group-text]="inputAddOn.classType === 'element'"
    />
    <dynamic-form-element
      *ngIf="suffixAddOn && !suffixAddOn.hidden"
      class="dynamic-form-add-on suffix"
      [element]="suffixAddOn"
      [class.input-group-text]="suffixAddOn.classType === 'element'"
    />
  </div>
  <ng-template #noAddOns>
    <ng-container *ngTemplateOutlet="inputTemplate" />
  </ng-template>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf11, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: DynamicFormElementComponent2, selector: "dynamic-form-element" }] });
  }
};
i021.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i021, type: BsDynamicFormInputWrapperComponent, decorators: [{
  type: Component11,
  args: [{ standalone: true, selector: "bs-dynamic-form-input-wrapper", imports: [NgIf11, NgTemplateOutlet, DynamicFormElementComponent2], template: `<ng-container *ngIf="labelFloating; else noLabelFloating">
  <div *ngIf="inputAddOn || prefixAddOn || suffixAddOn; else noAddOns" class="input-group floating">
    <dynamic-form-element
      *ngIf="prefixAddOn && !prefixAddOn.hidden"
      class="dynamic-form-add-on prefix"
      [element]="prefixAddOn"
      [class.input-group-text]="prefixAddOn.classType === 'element'"
    />
    <div class="form-floating">
      <ng-container *ngTemplateOutlet="inputTemplate" />
      <label *ngIf="label" class="form-label" [for]="inputId">{{ label }}<span *ngIf="requiredMarker"> *</span></label>
    </div>
    <dynamic-form-element
      *ngIf="inputAddOn && !inputAddOn.hidden"
      class="dynamic-form-add-on suffix"
      [element]="inputAddOn"
      [class.input-group-text]="inputAddOn.classType === 'element'"
    />
    <dynamic-form-element
      *ngIf="suffixAddOn && !suffixAddOn.hidden"
      class="dynamic-form-add-on suffix"
      [element]="suffixAddOn"
      [class.input-group-text]="suffixAddOn.classType === 'element'"
    />
  </div>
  <ng-template #noAddOns>
    <div class="form-floating">
      <ng-container *ngTemplateOutlet="inputTemplate" />
      <label *ngIf="label" class="form-label" [for]="inputId">{{ label }}<span *ngIf="requiredMarker"> *</span></label>
    </div>
  </ng-template>
</ng-container>

<ng-template #noLabelFloating>
  <label *ngIf="label" class="form-label" [for]="inputId">{{ label }}<span *ngIf="requiredMarker"> *</span></label>
  <div *ngIf="inputAddOn || prefixAddOn || suffixAddOn; else noAddOns" class="input-group">
    <dynamic-form-element
      *ngIf="prefixAddOn && !prefixAddOn.hidden"
      class="dynamic-form-add-on prefix"
      [element]="prefixAddOn"
      [class.input-group-text]="prefixAddOn.classType === 'element'"
    />
    <ng-container *ngTemplateOutlet="inputTemplate" />
    <dynamic-form-element
      *ngIf="inputAddOn && !inputAddOn.hidden"
      class="dynamic-form-add-on suffix"
      [element]="inputAddOn"
      [class.input-group-text]="inputAddOn.classType === 'element'"
    />
    <dynamic-form-element
      *ngIf="suffixAddOn && !suffixAddOn.hidden"
      class="dynamic-form-add-on suffix"
      [element]="suffixAddOn"
      [class.input-group-text]="suffixAddOn.classType === 'element'"
    />
  </div>
  <ng-template #noAddOns>
    <ng-container *ngTemplateOutlet="inputTemplate" />
  </ng-template>
</ng-template>
` }]
}], propDecorators: { inputTemplate: [{
  type: Input2
}], inputId: [{
  type: Input2
}], label: [{
  type: Input2
}], labelFloating: [{
  type: Input2
}], requiredMarker: [{
  type: Input2
}], inputAddOn: [{
  type: Input2
}], prefixAddOn: [{
  type: Input2
}], suffixAddOn: [{
  type: Input2
}] } });

// lib/dynamic-form-input/dynamic-form-combobox/dynamic-form-combobox.component.mjs
import { NgFor as NgFor3 } from "@angular/common";
import { Component as Component12 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule2 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase2 } from "@dynamic-forms/core";
import * as i022 from "@angular/core";
import * as i17 from "@dynamic-forms/core";
import * as i22 from "@angular/forms";
var BsDynamicFormComboboxComponent = class _BsDynamicFormComboboxComponent extends DynamicFormInputBase2 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i022.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i022, type: _BsDynamicFormComboboxComponent, deps: [{ token: i17.DynamicFormValidationService }], target: i022.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i022.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormComboboxComponent, isStandalone: true, selector: "bs-dynamic-form-combobox", usesInheritance: true, ngImport: i022, template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    type="text"
    list="list"
    autocomplete="off"
    [id]="inputId"
    [placeholder]="input.placeholder || ''"
    [pattern]="input.pattern"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  />
  <datalist id="list">
    <option *ngFor="let option of input.options" [value]="option">{{ option }}</option>
  </datalist>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgFor3, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: ReactiveFormsModule2 }, { kind: "directive", type: i22.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i22.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i22.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i22.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i22.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i22.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { kind: "directive", type: i22.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] });
  }
};
i022.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i022, type: BsDynamicFormComboboxComponent, decorators: [{
  type: Component12,
  args: [{ standalone: true, selector: "bs-dynamic-form-combobox", imports: [NgFor3, ReactiveFormsModule2, BsDynamicFormInputWrapperComponent], template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    type="text"
    list="list"
    autocomplete="off"
    [id]="inputId"
    [placeholder]="input.placeholder || ''"
    [pattern]="input.pattern"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  />
  <datalist id="list">
    <option *ngFor="let option of input.options" [value]="option">{{ option }}</option>
  </datalist>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i17.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-combobox/dynamic-form-combobox-type.mjs
var bsDynamicFormComboboxType = {
  type: "combobox",
  component: BsDynamicFormComboboxComponent,
  wrappers: ["hints", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-datepicker/dynamic-form-datepicker.component.mjs
import { Component as Component13 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule3 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase3 } from "@dynamic-forms/core";
import * as i023 from "@angular/core";
import * as i18 from "@dynamic-forms/core";
import * as i23 from "@angular/forms";
var BsDynamicFormDatepickerComponent = class _BsDynamicFormDatepickerComponent extends DynamicFormInputBase3 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i023.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i023, type: _BsDynamicFormDatepickerComponent, deps: [{ token: i18.DynamicFormValidationService }], target: i023.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i023.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormDatepickerComponent, isStandalone: true, selector: "bs-dynamic-form-datepicker", usesInheritance: true, ngImport: i023, template: '<bs-dynamic-form-input-wrapper\n  [inputTemplate]="inputTemplate"\n  [inputId]="inputId"\n  [label]="template.label"\n  [labelFloating]="template.labelFloating"\n  [requiredMarker]="validation?.required"\n  [prefixAddOn]="prefixAddOn"\n  [suffixAddOn]="suffixAddOn"\n/>\n\n<ng-template #inputTemplate>\n  <input\n    class="form-control"\n    type="date"\n    [id]="inputId"\n    [placeholder]="input.placeholder"\n    [min]="input.minDate"\n    [max]="input.maxDate"\n    [readonly]="readonly"\n    [required]="validation?.required"\n    [formControl]="control"\n  />\n</ng-template>\n', dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule3 }, { kind: "directive", type: i23.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i23.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i23.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i23.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] });
  }
};
i023.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i023, type: BsDynamicFormDatepickerComponent, decorators: [{
  type: Component13,
  args: [{ standalone: true, selector: "bs-dynamic-form-datepicker", imports: [ReactiveFormsModule3, BsDynamicFormInputWrapperComponent], template: '<bs-dynamic-form-input-wrapper\n  [inputTemplate]="inputTemplate"\n  [inputId]="inputId"\n  [label]="template.label"\n  [labelFloating]="template.labelFloating"\n  [requiredMarker]="validation?.required"\n  [prefixAddOn]="prefixAddOn"\n  [suffixAddOn]="suffixAddOn"\n/>\n\n<ng-template #inputTemplate>\n  <input\n    class="form-control"\n    type="date"\n    [id]="inputId"\n    [placeholder]="input.placeholder"\n    [min]="input.minDate"\n    [max]="input.maxDate"\n    [readonly]="readonly"\n    [required]="validation?.required"\n    [formControl]="control"\n  />\n</ng-template>\n' }]
}], ctorParameters: () => [{ type: i18.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-datepicker/dynamic-form-datepicker-type.mjs
var bsDynamicFormDatepickerType = {
  type: "datepicker",
  component: BsDynamicFormDatepickerComponent,
  wrappers: ["hints", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-file/dynamic-form-file.component.mjs
import { Component as Component14 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule4 } from "@angular/forms";
import { DynamicFormFileBase, DynamicFormFileDirective } from "@dynamic-forms/core";
import * as i024 from "@angular/core";
import * as i19 from "@dynamic-forms/core";
import * as i24 from "@angular/forms";
var BsDynamicFormFileComponent = class _BsDynamicFormFileComponent extends DynamicFormFileBase {
  constructor(builder, validationService) {
    super(builder, validationService);
    this.builder = builder;
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i024.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i024, type: _BsDynamicFormFileComponent, deps: [{ token: i19.DynamicFormBuilder }, { token: i19.DynamicFormValidationService }], target: i024.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i024.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormFileComponent, isStandalone: true, selector: "bs-dynamic-form-file", usesInheritance: true, ngImport: i024, template: `<bs-dynamic-form-input-wrapper
  #wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [inputAddOn]="uploadAction"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    type="text"
    readonly
    [id]="inputId"
    [placeholder]="input.placeholder || ''"
    [value]="fileDirective.fileNamesAsText || ''"
    [disabled]="control.disabled"
    (blur)="control.markAsTouched()"
  />
  <input
    #fileDirective="dynamicFormFile"
    dynamicFormFile
    [acceptFiles]="input.accept"
    [multipleFiles]="input.multiple"
    [formControl]="control"
  />
</ng-template>
`, dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule4 }, { kind: "directive", type: i24.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i24.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i24.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: DynamicFormFileDirective, selector: "[dynamicFormFile]", inputs: ["acceptFiles", "multipleFiles"], exportAs: ["dynamicFormFile"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] });
  }
};
i024.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i024, type: BsDynamicFormFileComponent, decorators: [{
  type: Component14,
  args: [{ standalone: true, selector: "bs-dynamic-form-file", imports: [ReactiveFormsModule4, DynamicFormFileDirective, BsDynamicFormInputWrapperComponent], template: `<bs-dynamic-form-input-wrapper
  #wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [inputAddOn]="uploadAction"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    type="text"
    readonly
    [id]="inputId"
    [placeholder]="input.placeholder || ''"
    [value]="fileDirective.fileNamesAsText || ''"
    [disabled]="control.disabled"
    (blur)="control.markAsTouched()"
  />
  <input
    #fileDirective="dynamicFormFile"
    dynamicFormFile
    [acceptFiles]="input.accept"
    [multipleFiles]="input.multiple"
    [formControl]="control"
  />
</ng-template>
` }]
}], ctorParameters: () => [{ type: i19.DynamicFormBuilder }, { type: i19.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-file/dynamic-form-file-type.mjs
var bsDynamicFormFileType = {
  type: "file",
  component: BsDynamicFormFileComponent,
  wrappers: ["hints", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-numberbox/dynamic-form-numberbox.component.mjs
import { Component as Component15 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule5 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase4 } from "@dynamic-forms/core";
import * as i025 from "@angular/core";
import * as i110 from "@dynamic-forms/core";
import * as i25 from "@angular/forms";
var BsDynamicFormNumberboxComponent = class _BsDynamicFormNumberboxComponent extends DynamicFormInputBase4 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i025.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i025, type: _BsDynamicFormNumberboxComponent, deps: [{ token: i110.DynamicFormValidationService }], target: i025.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i025.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormNumberboxComponent, isStandalone: true, selector: "bs-dynamic-form-numberbox", usesInheritance: true, ngImport: i025, template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    type="number"
    [id]="inputId"
    [placeholder]="input.placeholder || ''"
    [min]="input.min"
    [max]="input.max"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  />
</ng-template>
`, dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule5 }, { kind: "directive", type: i25.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i25.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i25.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i25.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i25.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i25.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { kind: "directive", type: i25.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] });
  }
};
i025.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i025, type: BsDynamicFormNumberboxComponent, decorators: [{
  type: Component15,
  args: [{ standalone: true, selector: "bs-dynamic-form-numberbox", imports: [ReactiveFormsModule5, BsDynamicFormInputWrapperComponent], template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    type="number"
    [id]="inputId"
    [placeholder]="input.placeholder || ''"
    [min]="input.min"
    [max]="input.max"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  />
</ng-template>
` }]
}], ctorParameters: () => [{ type: i110.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-numberbox/dynamic-form-numberbox-type.mjs
var bsDynamicFormNumberboxType = {
  type: "numberbox",
  component: BsDynamicFormNumberboxComponent,
  wrappers: ["hints", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-radio/dynamic-form-radio.component.mjs
import { NgFor as NgFor4 } from "@angular/common";
import { Component as Component16 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule6 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase5 } from "@dynamic-forms/core";
import * as i026 from "@angular/core";
import * as i111 from "@dynamic-forms/core";
import * as i26 from "@angular/forms";
var BsDynamicFormRadioComponent = class _BsDynamicFormRadioComponent extends DynamicFormInputBase5 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i026.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i026, type: _BsDynamicFormRadioComponent, deps: [{ token: i111.DynamicFormValidationService }], target: i026.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i026.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormRadioComponent, isStandalone: true, selector: "bs-dynamic-form-radio", usesInheritance: true, ngImport: i026, template: `<ng-container *ngFor="let option of input.options; let i = index">
  <div class="form-check">
    <input
      class="form-check-input"
      type="radio"
      [id]="inputId + '-' + i"
      [name]="inputId"
      [formControl]="control"
      [value]="option.value"
      [attr.disabled]="control.disabled || option.disabled"
      [readonly]="readonly"
    />
    <label class="form-check-label" [for]="inputId + '-' + i">{{ option.label }}</label>
  </div>
</ng-container>
`, dependencies: [{ kind: "directive", type: NgFor4, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: ReactiveFormsModule6 }, { kind: "directive", type: i26.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i26.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i26.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i26.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
  }
};
i026.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i026, type: BsDynamicFormRadioComponent, decorators: [{
  type: Component16,
  args: [{ standalone: true, selector: "bs-dynamic-form-radio", imports: [NgFor4, ReactiveFormsModule6], template: `<ng-container *ngFor="let option of input.options; let i = index">
  <div class="form-check">
    <input
      class="form-check-input"
      type="radio"
      [id]="inputId + '-' + i"
      [name]="inputId"
      [formControl]="control"
      [value]="option.value"
      [attr.disabled]="control.disabled || option.disabled"
      [readonly]="readonly"
    />
    <label class="form-check-label" [for]="inputId + '-' + i">{{ option.label }}</label>
  </div>
</ng-container>
` }]
}], ctorParameters: () => [{ type: i111.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-radio/dynamic-form-radio-type.mjs
var bsDynamicFormRadioType = {
  type: "radio",
  component: BsDynamicFormRadioComponent,
  wrappers: ["label", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-select/dynamic-form-select.component.mjs
import { NgFor as NgFor5, NgIf as NgIf12 } from "@angular/common";
import { Component as Component17 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule7 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase6 } from "@dynamic-forms/core";
import * as i027 from "@angular/core";
import * as i112 from "@dynamic-forms/core";
import * as i27 from "@angular/forms";
var BsDynamicFormSelectComponent = class _BsDynamicFormSelectComponent extends DynamicFormInputBase6 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i027.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i027, type: _BsDynamicFormSelectComponent, deps: [{ token: i112.DynamicFormValidationService }], target: i027.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i027.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormSelectComponent, isStandalone: true, selector: "bs-dynamic-form-select", usesInheritance: true, ngImport: i027, template: '<bs-dynamic-form-input-wrapper\n  [inputTemplate]="inputTemplate"\n  [inputId]="inputId"\n  [label]="template.label"\n  [labelFloating]="template.labelFloating"\n  [requiredMarker]="validation?.required"\n  [prefixAddOn]="prefixAddOn"\n  [suffixAddOn]="suffixAddOn"\n/>\n\n<ng-template #inputTemplate>\n  <ng-container *ngIf="!input.multiple; else optionsMultiple">\n    <select class="form-select" [id]="inputId" [required]="validation?.required" [formControl]="control">\n      <option hidden [value]="null">{{ input.placeholder }}</option>\n      <ng-container *ngFor="let option of input.options">\n        <ng-container *ngIf="!option.items; else optionGroup">\n          <option [value]="option.value" [disabled]="option.disabled">{{ option.label }}</option>\n        </ng-container>\n        <ng-template #optionGroup>\n          <optgroup [label]="option.label" [disabled]="option.disabled">\n            <option *ngFor="let optionItem of option.items" [value]="optionItem.value" [disabled]="optionItem.disabled">{{\n              optionItem.label\n            }}</option>\n          </optgroup>\n        </ng-template>\n      </ng-container>\n    </select>\n  </ng-container>\n\n  <ng-template #optionsMultiple>\n    <select class="form-select" multiple [id]="inputId" [required]="validation?.required" [formControl]="control">\n      <ng-container *ngFor="let option of input.options">\n        <ng-container *ngIf="!option.items; else optionGroup">\n          <option [value]="option.value" [disabled]="option.disabled">{{ option.label }}</option>\n        </ng-container>\n        <ng-template #optionGroup>\n          <optgroup [label]="option.label" [disabled]="option.disabled">\n            <option *ngFor="let optionItem of option.items" [value]="optionItem.value" [disabled]="optionItem.disabled">{{\n              optionItem.label\n            }}</option>\n          </optgroup>\n        </ng-template>\n      </ng-container>\n    </select>\n  </ng-template>\n</ng-template>\n', dependencies: [{ kind: "directive", type: NgFor5, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgIf12, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule7 }, { kind: "directive", type: i27.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i27.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i27.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i27.SelectMultipleControlValueAccessor, selector: "select[multiple][formControlName],select[multiple][formControl],select[multiple][ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i27.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i27.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i27.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] });
  }
};
i027.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i027, type: BsDynamicFormSelectComponent, decorators: [{
  type: Component17,
  args: [{ standalone: true, selector: "bs-dynamic-form-select", imports: [NgFor5, NgIf12, ReactiveFormsModule7, BsDynamicFormInputWrapperComponent], template: '<bs-dynamic-form-input-wrapper\n  [inputTemplate]="inputTemplate"\n  [inputId]="inputId"\n  [label]="template.label"\n  [labelFloating]="template.labelFloating"\n  [requiredMarker]="validation?.required"\n  [prefixAddOn]="prefixAddOn"\n  [suffixAddOn]="suffixAddOn"\n/>\n\n<ng-template #inputTemplate>\n  <ng-container *ngIf="!input.multiple; else optionsMultiple">\n    <select class="form-select" [id]="inputId" [required]="validation?.required" [formControl]="control">\n      <option hidden [value]="null">{{ input.placeholder }}</option>\n      <ng-container *ngFor="let option of input.options">\n        <ng-container *ngIf="!option.items; else optionGroup">\n          <option [value]="option.value" [disabled]="option.disabled">{{ option.label }}</option>\n        </ng-container>\n        <ng-template #optionGroup>\n          <optgroup [label]="option.label" [disabled]="option.disabled">\n            <option *ngFor="let optionItem of option.items" [value]="optionItem.value" [disabled]="optionItem.disabled">{{\n              optionItem.label\n            }}</option>\n          </optgroup>\n        </ng-template>\n      </ng-container>\n    </select>\n  </ng-container>\n\n  <ng-template #optionsMultiple>\n    <select class="form-select" multiple [id]="inputId" [required]="validation?.required" [formControl]="control">\n      <ng-container *ngFor="let option of input.options">\n        <ng-container *ngIf="!option.items; else optionGroup">\n          <option [value]="option.value" [disabled]="option.disabled">{{ option.label }}</option>\n        </ng-container>\n        <ng-template #optionGroup>\n          <optgroup [label]="option.label" [disabled]="option.disabled">\n            <option *ngFor="let optionItem of option.items" [value]="optionItem.value" [disabled]="optionItem.disabled">{{\n              optionItem.label\n            }}</option>\n          </optgroup>\n        </ng-template>\n      </ng-container>\n    </select>\n  </ng-template>\n</ng-template>\n' }]
}], ctorParameters: () => [{ type: i112.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-select/dynamic-form-select-type.mjs
var bsDynamicFormSelectType = {
  type: "select",
  component: BsDynamicFormSelectComponent,
  wrappers: ["hints", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-switch/dynamic-form-switch.component.mjs
import { NgIf as NgIf13 } from "@angular/common";
import { Component as Component18 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule8 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase7 } from "@dynamic-forms/core";
import * as i028 from "@angular/core";
import * as i113 from "@dynamic-forms/core";
import * as i28 from "@angular/forms";
var BsDynamicFormSwitchComponent = class _BsDynamicFormSwitchComponent extends DynamicFormInputBase7 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i028.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i028, type: _BsDynamicFormSwitchComponent, deps: [{ token: i113.DynamicFormValidationService }], target: i028.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i028.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormSwitchComponent, isStandalone: true, selector: "bs-dynamic-form-switch", usesInheritance: true, ngImport: i028, template: '<div class="form-check form-switch">\n  <input\n    class="form-check-input"\n    type="checkbox"\n    [id]="inputId"\n    [readonly]="readonly"\n    [required]="validation?.required"\n    [formControl]="control"\n  />\n  <label class="form-check-label" [for]="inputId">{{ template.label }}<span *ngIf="validation?.required"> *</span></label>\n</div>\n', dependencies: [{ kind: "directive", type: NgIf13, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule8 }, { kind: "directive", type: i28.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i28.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i28.CheckboxRequiredValidator, selector: "input[type=checkbox][required][formControlName],input[type=checkbox][required][formControl],input[type=checkbox][required][ngModel]" }, { kind: "directive", type: i28.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
  }
};
i028.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i028, type: BsDynamicFormSwitchComponent, decorators: [{
  type: Component18,
  args: [{ standalone: true, selector: "bs-dynamic-form-switch", imports: [NgIf13, ReactiveFormsModule8], template: '<div class="form-check form-switch">\n  <input\n    class="form-check-input"\n    type="checkbox"\n    [id]="inputId"\n    [readonly]="readonly"\n    [required]="validation?.required"\n    [formControl]="control"\n  />\n  <label class="form-check-label" [for]="inputId">{{ template.label }}<span *ngIf="validation?.required"> *</span></label>\n</div>\n' }]
}], ctorParameters: () => [{ type: i113.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-switch/dynamic-form-switch-type.mjs
var bsDynamicFormSwitchType = {
  type: "switch",
  component: BsDynamicFormSwitchComponent,
  wrappers: ["errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-textarea/dynamic-form-textarea.component.mjs
import { Component as Component19 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule9 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase8 } from "@dynamic-forms/core";
import * as i029 from "@angular/core";
import * as i114 from "@dynamic-forms/core";
import * as i29 from "@angular/forms";
var BsDynamicFormTextareaComponent = class _BsDynamicFormTextareaComponent extends DynamicFormInputBase8 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i029.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i029, type: _BsDynamicFormTextareaComponent, deps: [{ token: i114.DynamicFormValidationService }], target: i029.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i029.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormTextareaComponent, isStandalone: true, selector: "bs-dynamic-form-textarea", usesInheritance: true, ngImport: i029, template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <textarea
    class="form-control"
    [id]="inputId"
    [placeholder]="input.placeholder || ''"
    [pattern]="input.pattern"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  ></textarea>
</ng-template>
`, dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule9 }, { kind: "directive", type: i29.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i29.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i29.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i29.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { kind: "directive", type: i29.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] });
  }
};
i029.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i029, type: BsDynamicFormTextareaComponent, decorators: [{
  type: Component19,
  args: [{ standalone: true, selector: "bs-dynamic-form-textarea", imports: [ReactiveFormsModule9, BsDynamicFormInputWrapperComponent], template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <textarea
    class="form-control"
    [id]="inputId"
    [placeholder]="input.placeholder || ''"
    [pattern]="input.pattern"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  ></textarea>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i114.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-textarea/dynamic-form-textarea-type.mjs
var bsDynamicFormTextareaType = {
  type: "textarea",
  component: BsDynamicFormTextareaComponent,
  wrappers: ["hints", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-textbox/dynamic-form-textbox.component.mjs
import { Component as Component20 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule10 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase9 } from "@dynamic-forms/core";
import * as i030 from "@angular/core";
import * as i115 from "@dynamic-forms/core";
import * as i210 from "@angular/forms";
var BsDynamicFormTextboxComponent = class _BsDynamicFormTextboxComponent extends DynamicFormInputBase9 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i030.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i030, type: _BsDynamicFormTextboxComponent, deps: [{ token: i115.DynamicFormValidationService }], target: i030.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i030.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormTextboxComponent, isStandalone: true, selector: "bs-dynamic-form-textbox", usesInheritance: true, ngImport: i030, template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    [id]="inputId"
    [type]="input.inputTypeForced || input.inputType"
    [placeholder]="input.placeholder || ''"
    [pattern]="input.pattern"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  />
</ng-template>
`, dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule10 }, { kind: "directive", type: i210.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i210.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i210.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i210.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { kind: "directive", type: i210.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] });
  }
};
i030.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i030, type: BsDynamicFormTextboxComponent, decorators: [{
  type: Component20,
  args: [{ standalone: true, selector: "bs-dynamic-form-textbox", imports: [ReactiveFormsModule10, BsDynamicFormInputWrapperComponent], template: `<bs-dynamic-form-input-wrapper
  [inputTemplate]="inputTemplate"
  [inputId]="inputId"
  [label]="template.label"
  [labelFloating]="template.labelFloating"
  [requiredMarker]="validation?.required"
  [prefixAddOn]="prefixAddOn"
  [suffixAddOn]="suffixAddOn"
/>

<ng-template #inputTemplate>
  <input
    class="form-control"
    [id]="inputId"
    [type]="input.inputTypeForced || input.inputType"
    [placeholder]="input.placeholder || ''"
    [pattern]="input.pattern"
    [readonly]="readonly"
    [required]="validation?.required"
    [formControl]="control"
  />
</ng-template>
` }]
}], ctorParameters: () => [{ type: i115.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-textbox/dynamic-form-textbox-type.mjs
var bsDynamicFormTextboxType = {
  type: "textbox",
  component: BsDynamicFormTextboxComponent,
  wrappers: ["hints", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-toggle/dynamic-form-toggle.component.mjs
import { NgFor as NgFor6 } from "@angular/common";
import { Component as Component21 } from "@angular/core";
import { ReactiveFormsModule as ReactiveFormsModule11 } from "@angular/forms";
import { DynamicFormInputBase as DynamicFormInputBase10 } from "@dynamic-forms/core";
import * as i031 from "@angular/core";
import * as i116 from "@dynamic-forms/core";
import * as i211 from "@angular/forms";
var BsDynamicFormToggleComponent = class _BsDynamicFormToggleComponent extends DynamicFormInputBase10 {
  constructor(validationService) {
    super(validationService);
    this.validationService = validationService;
  }
  static {
    this.ɵfac = i031.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i031, type: _BsDynamicFormToggleComponent, deps: [{ token: i116.DynamicFormValidationService }], target: i031.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i031.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-next.6", type: _BsDynamicFormToggleComponent, isStandalone: true, selector: "bs-dynamic-form-toggle", usesInheritance: true, ngImport: i031, template: `<div class="btn-group btn-group-toggle">
  <ng-container *ngFor="let option of input.options; let i = index">
    <input
      class="btn-check"
      type="radio"
      autocomplete="off"
      [id]="inputId + '-' + i"
      [name]="inputId"
      [formControl]="control"
      [value]="option.value"
      [attr.disabled]="control.disabled || option.disabled"
      [readonly]="readonly"
    />
    <label
      class="btn btn-outline-light"
      [for]="inputId + '-' + i"
      [class.disabled]="control.disabled || option.disabled"
      [class.active]="control.value === option.value"
      >{{ option.label }}</label
    >
  </ng-container>
</div>
`, dependencies: [{ kind: "directive", type: NgFor6, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: ReactiveFormsModule11 }, { kind: "directive", type: i211.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i211.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i211.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i211.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
  }
};
i031.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i031, type: BsDynamicFormToggleComponent, decorators: [{
  type: Component21,
  args: [{ standalone: true, selector: "bs-dynamic-form-toggle", imports: [NgFor6, ReactiveFormsModule11], template: `<div class="btn-group btn-group-toggle">
  <ng-container *ngFor="let option of input.options; let i = index">
    <input
      class="btn-check"
      type="radio"
      autocomplete="off"
      [id]="inputId + '-' + i"
      [name]="inputId"
      [formControl]="control"
      [value]="option.value"
      [attr.disabled]="control.disabled || option.disabled"
      [readonly]="readonly"
    />
    <label
      class="btn btn-outline-light"
      [for]="inputId + '-' + i"
      [class.disabled]="control.disabled || option.disabled"
      [class.active]="control.value === option.value"
      >{{ option.label }}</label
    >
  </ng-container>
</div>
` }]
}], ctorParameters: () => [{ type: i116.DynamicFormValidationService }] });

// lib/dynamic-form-input/dynamic-form-toggle/dynamic-form-toggle-type.mjs
var bsDynamicFormToggleType = {
  type: "toggle",
  component: BsDynamicFormToggleComponent,
  wrappers: ["label", "errors"],
  libraryName: bsDynamicFormLibrary.name
};

// lib/dynamic-form-input/dynamic-form-input.module.mjs
import { NgModule as NgModule11 } from "@angular/core";
import { DynamicFormFileModule, DynamicFormTextboxModule, importDynamicFormsProviders as importDynamicFormsProviders8, withDynamicFormFileValidators, withDynamicFormInputs, withDynamicFormTextboxActionHandlers } from "@dynamic-forms/core";
import * as i032 from "@angular/core";
var bsDynamicFormInputTypes = [
  bsDynamicFormCheckboxType,
  bsDynamicFormComboboxType,
  bsDynamicFormDatepickerType,
  bsDynamicFormFileType,
  bsDynamicFormNumberboxType,
  bsDynamicFormRadioType,
  bsDynamicFormSelectType,
  bsDynamicFormSwitchType,
  bsDynamicFormTextareaType,
  bsDynamicFormTextboxType,
  bsDynamicFormToggleType
];
function withBsDynamicFormInputDefaultFeatures() {
  return [withDynamicFormInputs(...bsDynamicFormInputTypes), withDynamicFormTextboxActionHandlers(), withDynamicFormFileValidators()];
}
var modules6 = [DynamicFormFileModule, DynamicFormTextboxModule];
var BsDynamicFormInputModule = class _BsDynamicFormInputModule {
  static {
    this.ɵfac = i032.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i032, type: _BsDynamicFormInputModule, deps: [], target: i032.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i032.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i032, type: _BsDynamicFormInputModule, imports: [DynamicFormFileModule, DynamicFormTextboxModule], exports: [DynamicFormFileModule, DynamicFormTextboxModule] });
  }
  static {
    this.ɵinj = i032.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i032, type: _BsDynamicFormInputModule, providers: importDynamicFormsProviders8(withDynamicFormInputs(...bsDynamicFormInputTypes)), imports: [modules6, DynamicFormFileModule, DynamicFormTextboxModule] });
  }
};
i032.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i032, type: BsDynamicFormInputModule, decorators: [{
  type: NgModule11,
  args: [{
    imports: modules6,
    exports: modules6,
    providers: importDynamicFormsProviders8(withDynamicFormInputs(...bsDynamicFormInputTypes))
  }]
}] });

// lib/dynamic-forms.module.mjs
import { NgModule as NgModule12 } from "@angular/core";
import { DynamicFormsModule, importDynamicFormsProviders as importDynamicFormsProviders9, provideDynamicForms, provideDynamicFormsWithDefaultFeatures, withDynamicFormValidation, withDynamicFormsIdBuilder, withDynamicFormsLibrary, withDynamicFormsTheme } from "@dynamic-forms/core";
import * as i033 from "@angular/core";
function provideBsDynamicForms(...features) {
  return [provideDynamicForms(bsDynamicFormLibrary, ...features)];
}
var bsDynamicFormsDefaultFeatures = [
  withDynamicFormValidation(),
  ...withBsDynamicFormActionDefaultFeatures(),
  ...withBsDynamicFormElementDefaultFeatures(),
  ...withBsDynamicFormFieldWrapperDefaultFeatures(),
  ...withBsDynamicFormInputDefaultFeatures()
];
function getDynamicFormsFeatures(config) {
  const features = [];
  if (config?.theme) {
    features.push(withDynamicFormsTheme(config?.theme));
  }
  if (config?.idBuilder) {
    features.push(withDynamicFormsIdBuilder(config?.idBuilder));
  }
  return features;
}
function provideBsDynamicFormsWithDefaultFeatures(config, ...additionalFeatures) {
  const features = [...bsDynamicFormsDefaultFeatures, ...getDynamicFormsFeatures(config), ...additionalFeatures];
  return provideDynamicFormsWithDefaultFeatures(bsDynamicFormLibrary, ...features);
}
var BsDynamicFormsModule = class _BsDynamicFormsModule {
  /**
   * @deprecated Use {@link provideBsDynamicFormsWithDefaultFeatures} instead.
   */
  static forRoot(config, ...additionalFeatures) {
    const features = [withDynamicFormsLibrary(bsDynamicFormLibrary), ...getDynamicFormsFeatures(config), ...additionalFeatures];
    return { ngModule: _BsDynamicFormsModule, providers: importDynamicFormsProviders9(...features) };
  }
  static {
    this.ɵfac = i033.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i033, type: _BsDynamicFormsModule, deps: [], target: i033.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i033.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-next.6", ngImport: i033, type: _BsDynamicFormsModule, imports: [DynamicFormsModule], exports: [DynamicFormsModule] });
  }
  static {
    this.ɵinj = i033.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i033, type: _BsDynamicFormsModule, providers: provideDynamicFormsWithDefaultFeatures(null, ...bsDynamicFormsDefaultFeatures, withDynamicFormValidation()), imports: [DynamicFormsModule, DynamicFormsModule] });
  }
};
i033.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-next.6", ngImport: i033, type: BsDynamicFormsModule, decorators: [{
  type: NgModule12,
  args: [{
    imports: [DynamicFormsModule],
    exports: [DynamicFormsModule],
    providers: provideDynamicFormsWithDefaultFeatures(null, ...bsDynamicFormsDefaultFeatures, withDynamicFormValidation())
  }]
}] });
export {
  BsDynamicFormAccordionComponent,
  BsDynamicFormAccordionModule,
  BsDynamicFormActionModule,
  BsDynamicFormButtonComponent,
  BsDynamicFormCheckboxComponent,
  BsDynamicFormComboboxComponent,
  BsDynamicFormControlErrorsComponent,
  BsDynamicFormControlErrorsModule,
  BsDynamicFormControlHintsComponent,
  BsDynamicFormControlHintsModule,
  BsDynamicFormControlLabelComponent,
  BsDynamicFormControlLabelModule,
  BsDynamicFormDatepickerComponent,
  BsDynamicFormDialogComponent,
  BsDynamicFormElementModule,
  BsDynamicFormFieldWrapperModule,
  BsDynamicFormFileComponent,
  BsDynamicFormIconComponent,
  BsDynamicFormInputModule,
  BsDynamicFormInputWrapperComponent,
  BsDynamicFormItemsModule,
  BsDynamicFormModalComponent,
  BsDynamicFormModalModule,
  BsDynamicFormNumberboxComponent,
  BsDynamicFormRadioComponent,
  BsDynamicFormSelectComponent,
  BsDynamicFormTabsComponent,
  BsDynamicFormTabsModule,
  BsDynamicFormTextareaComponent,
  BsDynamicFormTextboxComponent,
  BsDynamicFormsModule,
  bsDynamicFormAccordionType,
  bsDynamicFormActionTypes,
  bsDynamicFormButtonType,
  bsDynamicFormCheckboxType,
  bsDynamicFormComboboxType,
  bsDynamicFormControlErrorsType,
  bsDynamicFormControlHintsType,
  bsDynamicFormControlLabelType,
  bsDynamicFormDatepickerType,
  bsDynamicFormElementTypes,
  bsDynamicFormFieldWrapperTypes,
  bsDynamicFormFileType,
  bsDynamicFormIconType,
  bsDynamicFormInputTypes,
  bsDynamicFormLibrary,
  bsDynamicFormModalType,
  bsDynamicFormNumberboxType,
  bsDynamicFormRadioType,
  bsDynamicFormSelectType,
  bsDynamicFormTabsType,
  bsDynamicFormTextareaType,
  bsDynamicFormTextboxType,
  bsDynamicFormsDefaultFeatures,
  provideBsDynamicForms,
  provideBsDynamicFormsWithDefaultFeatures,
  withBsDynamicFormActionDefaultFeatures,
  withBsDynamicFormElementDefaultFeatures,
  withBsDynamicFormFieldWrapperDefaultFeatures,
  withBsDynamicFormInputDefaultFeatures
};
//# sourceMappingURL=dynamic-forms-bootstrap.mjs.map
